#-*- coding:utf-8 -*-
# PyWakeUp.py
# Copyright (c) 2008-2013 masa 
# version = 0.02(3)

import e32
import audio
import os

# change if you need ,1:play music until music_end 0:cut after e32.ao_sleep() seconds
log_file = u'E:\\Data\\WakeUp.log'
wakeup_music = u'E:\\Sounds\\Simple\\Bach.aac'
play_all = 1 # 1:play music until music_end 0:cut after play_time seconds
play_time = 30  ## sec
RP = 1 # global loop control
volume_lebel = 4
fade_out = 0 # fade out control flag


script_lock = e32.Ao_lock()
timer = e32.Ao_timer()

def cb(prev, curr, err):
  global RP
  global fade_out
  if curr == 1: 
    RP = 0
    fade_out = 0
    script_lock.signal()

def cbbchk():
  global RP
  if not os.path.exists(log_file):
    RP = 0 # loop flg off,go to end
  else:
    pass
  script_lock.signal()



if not os.path.exists(log_file):
  f = open(log_file, 'w')
  f.close()

S = audio.Sound.open(wakeup_music)
S.set_volume(volume_lebel)

if play_all == 1:
  S.play(1, 0, cb)
  while RP == 1:
    timer.after(5,cbbchk)
    script_lock.wait()

else:
  S.play(1, 0, cb)
  pcount = int(play_time / 5) # play pcount*5 sec
  while RP == 1:
    pcount = pcount -1
    if pcount < 1:
      RP = 0
      fade_out = 1
    timer.after(5,cbbchk)
    script_lock.wait()

#volume down process V0.2(3)
if fade_out:
  while volume_lebel:
    volume_lebel = volume_lebel - 1
    S.set_volume(volume_lebel)
    timer.after(1.3 ,cbbchk)
    script_lock.wait()
S.stop()

